Package: org.gradle.api.tasks.bundling

## [Java] Enum Compression

- org.gradle.api.tasks.bundling.Compression

- Specifies the compression which should be applied to a TAR archive.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `BZIP2` |
    `GZIP` |
    `NONE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `getDefaultExtension()`
    `List<String>` | `getSupportedExtensions()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### Compression BZIP2

    - #### Compression GZIP

    - #### Compression NONE

  - ### Method Detail

    - #### public String getDefaultExtension()

    - #### public List<String> getSupportedExtensions()